package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class DrpSupplierApprovePageDTO  {
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("审批状态(1待审批,2审批中,3审批同意,4审批拒绝)")
   private Integer approveStatus;

   public Long getSupplierId() {
      return this.supplierId;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
   }


   public String toString() {
      Long var10000 = this.getSupplierId();
      return "DrpSupplierApprovePageDTO(supplierId=" + var10000 + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ", approveStatus=" + this.getApproveStatus() + ")";
   }
}
